#ifndef __PIXMAP__
#define __PIXMAP__

typedef struct _tagPIXMAP
{
  Pixmap icon;
  Pixmap mask;
  unsigned int width;
  unsigned int height;
} PIXMAP,*LPPIXMAP;

void InitPixmap();
void DestroyPixmap();

int LoadPixmap(char **pData,LPPIXMAP pMap);
int LoadPixmapFromFile(const char *pFile,LPPIXMAP pMap);
void FreePixmap(LPPIXMAP pMap);
void UpdatePixmapAttributes(LPPIXMAP pMap);
void RenderPixmap(Display *pDisp,Drawable draw,GC gc,int x,int y,LPPIXMAP pMap);

int ScalePixmap(Display *display, Window window,LPPIXMAP src,LPPIXMAP dest);
  
#endif
